1. Videos
api.video
  • Account
    • Show account
      GET
  • Analytics
    • List live stream player sessions
      GET
    • List player session events
      GET
    • List video player sessions
      GET
  • Authentication
    • Authenticate
      POST
    • Refresh token
      POST
  • Live
    • List all live streams
      GET
    • Create live stream
      POST
    • Delete a live stream
      DELETE
    • Show live stream
      GET
    • Update a live stream
      PATCH
    • Delete a thumbnail
      DELETE
    • Upload a thumbnail
      POST
  • Players
    • List all players
      GET
    • Create a player
      POST
    • Delete a player
      DELETE
    • Show a player
      GET
    • Update a player
      PATCH
    • Delete logo
      DELETE
    • Upload a logo
      POST
  • Videos - Delegated upload
    • Upload with an upload token
    • List all active upload tokens.
    • Generate an upload token
    • Delete an upload token
    • Show upload token
  • Videos
    • List all videos
      GET
    • Create a video
      POST
    • Delete a video
      DELETE
    • Show a video
      GET
    • Update a video
      PATCH
    • Upload a video
      POST
    • Show video status
      GET
    • Pick a thumbnail
      PATCH
    • Upload a thumbnail
      POST
  • Captions
    • List video captions
    • Delete a caption
    • Show a caption
    • Update caption
    • Upload a caption
  • Chapters
    • List video chapters
    • Delete a chapter
    • Show a chapter
    • Upload a chapter
  • Webhooks
    • List all webhooks
    • Create Webhook
    • Delete a Webhook
    • Show Webhook details
  • Schemas
    • Schemas
      • AccessToken
      • AccessToken
      • Account
      • Account
      • apiKey
      • apiKey
      • BadRequest
      • BadRequest
      • bytes_range
      • VideoCaptions
      • VideoCaptions
      • UpdateCaptionPayload
      • UpdateCaptionPayload
      • captions-upload-payload
      • Chapter
      • Chapter
      • VideoChapters
      • VideoChapters
      • UpdateChapterPayload
      • UpdateChapterPayload
      • link
      • LiveStream
      • LiveStream
      • liveStreamCreationPayload
      • liveStreamCreationPayload
      • LiveStreams
      • LiveStreams
      • Live Stream Session
      • Live Stream Session
      • live-stream-thumbnail-upload-payload
      • LiveStreamUpdatePayload
      • LiveStreamUpdatePayload
      • live_stream_assets
      • live_stream_session_client
      • live_stream_session_device
      • live_stream_session_location
      • live_stream_session_referrer
      • live_stream_session_session
      • metadata
      • NotFound
      • NotFound
      • Pagination
      • Pagination
      • PaginationLink
      • PaginationLink
      • Player
      • Player
      • Player Session Event
      • Player Session Event
      • playerCreationPayload
      • playerUpdatePayload
      • PlayerInput
      • PlayerInput
      • Players
      • Players
      • players-upload-logo-payload
      • quality
      • LiveStreamSessions
      • LiveStreamSessions
      • PlayerSessionEvents
      • PlayerSessionEvents
      • VideoSessions
      • VideoSessions
      • refreshToken
      • refreshToken
      • Subtitle
      • Subtitle
      • tokenCreationPayload
      • tokenCreationPayload
      • uploadTokens
      • uploadTokens
      • token-upload-payload
      • UploadToken
      • UploadToken
      • video
      • videoCreationPayload
      • videoCreationPayload
      • Video Session
      • Video Session
      • pickThumbnailPayload
      • pickThumbnailPayload
      • video-thumbnail-upload-payload
      • videoUpdatePayload
      • videoUpdatePayload
      • video-upload-payload
      • videoAssets
      • videoSource
      • video_session_client
      • video_session_device
      • video_session_location
      • video_session_os
      • video_session_referrer
      • video_session_session
      • video_source_live_stream
      • video_source_live_stream_link
      • Videos
      • Videos
      • VideoStatus
      • VideoStatus
      • videostatus_encoding
      • videostatus_encoding_metadata
      • videostatus_ingest
      • Webhook
      • Webhook
      • webhooks-create-payload
      • Webhooks
      • Webhooks
  1. Videos

Upload a thumbnail

POST
/videos/{videoId}/thumbnail
The thumbnail is the poster that appears in the player window before video playback begins.
This endpoint allows you to upload an image for the thumbnail.
To select a still frame from the video using a time stamp, use Pick a Thumbnail to pick a time in the video.
Note: There may be a short delay before the new thumbnail is delivered to our CDN.
Tutorials using Thumbnail upload.

Request

Path Params

Body Params multipart/form-data

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://ws.api.video/videos//thumbnail' \
--form 'file=@""'
Response Response Example
200 - response
{
    "assets": {
        "hls": "https://cdn.api.video/stream/831a9bd9-9f50-464c-a369-8e9d914371ae/hls/manifest.m3u8",
        "iframe": "<iframe src=\"//embed.api.video/vi4k0jvEUuaTdRAEjQ4Jfrgz?token=831a9bd9-9f50-464c-a369-8e9d914371ae\" width=\"100%\" height=\"100%\" frameborder=\"0\" scrolling=\"no\" allowfullscreen=\"\"></iframe>",
        "mp4": "https://cdn.api.video/vod/vi4k0jvEUuaTdRAEjQ4Jfrgz/token/8fd70443-d9f0-45d2-b01c-12c8cfc707c9/mp4/720/source.mp4",
        "player": "https://embed.api.video/vi4k0jvEUuaTdRAEjQ4Jfrgz?token=831a9bd9-9f50-464c-a369-8e9d914371ae",
        "thumbnail": "https://cdn.api.video/stream/831a9bd9-9f50-464c-a369-8e9d914371ae/thumbnail.jpg"
    },
    "description": "An amazing video explaining the string theory",
    "metadata": [
        {
            "key": "Author",
            "value": "John Doe"
        },
        {
            "key": "Format",
            "value": "Tutorial"
        }
    ],
    "mp4Support": true,
    "panoramic": false,
    "playerId": "pl45KFKdlddgk654dspkze",
    "public": false,
    "publishedAt": "2020-07-14T23:36:18.598Z",
    "scheduledAt": "2020-03-03T12:52:03.085Z",
    "source": {
        "uri": "/videos/vi4k0jvEUuaTdRAEjQ4Jfrgz/source"
    },
    "tags": [
        "maths",
        "string theory",
        "video"
    ],
    "title": "Maths video",
    "videoId": "vi4k0jvEUuaTdRAEjQ4Jfrgz"
}
Modified at 2023-08-15 05:52:15
Previous
Pick a thumbnail
Next
List video captions
Built with